package com.gem.media.splash.base;

public class AdUtils {

    private static final class AdUtilsHolder {
        static final AdUtils adUtils = new AdUtils();
    }

    public static AdUtils getInstance() {
        return AdUtils.AdUtilsHolder.adUtils;
    }

    private long timeOutTime;

    public void setOutTime(long timeOutTime) {
        this.timeOutTime = timeOutTime;
    }
    
    public boolean enableShowAd() {
        return timeOutTime <= 0;
    }
}
